org.modeshape.connector.filesystem

## Class LargeFileSystemConnector

- java.lang.Object
- - org.modeshape.jcr.federation.spi.Connector
  - - org.modeshape.jcr.federation.spi.WritableConnector
    - - org.modeshape.connector.filesystem.FileSystemConnector
      - - org.modeshape.connector.filesystem.LargeFileSystemConnector

- All Implemented Interfaces:
    Pageable

      public class LargeFileSystemConnector
      extends FileSystemConnector

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.modeshape.jcr.federation.spi.Connector

      `Connector.ExtraProperties`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LargeFileSystemConnector()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ExternalBinaryValue` | `createBinaryValue(File file)` Utility method to create a `BinaryValue` object for the given file overriding FileSystemConnector.

    - ### Methods inherited from class org.modeshape.connector.filesystem.FileSystemConnector

      `binaryFor, checkFileNotExcluded, contentBasedSha1, createFileForUrl, createUrlForFile, fileFor, getBinaryValue, getChildren, getDocumentById, getDocumentId, getDocumentPathsById, hasDocument, idFor, initialize, isContentNode, isExcluded, isRoot, newDocumentId, removeDocument, sha1, storeDocument, updateDocument`

    - ### Methods inherited from class org.modeshape.jcr.federation.spi.WritableConnector

      `isReadonly`

    - ### Methods inherited from class org.modeshape.jcr.federation.spi.Connector

      `checkFieldNotNull, extraPropertiesFor, extraPropertiesStore, factories, getCacheTtlSeconds, getChildReference, getContext, getEnvironment, getLogger, getMimeTypeDetector, getRepositoryName, getSourceName, getTransactionManager, isQueryable, log, nameFrom, nameFrom, nameFrom, newChildReference, newConnectorChangedSet, newDocument, newPageDocument, pathFactory, pathFrom, pathFrom, propertyFactory, readDocument, setExtraPropertiesStore, shutdown, translator, writeDocument`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LargeFileSystemConnector

          public LargeFileSystemConnector()

  - ### Method Detail

    - #### createBinaryValue

          protected ExternalBinaryValue createBinaryValue(File file)
                                                   throws IOException

      Utility method to create a `BinaryValue` object for the given file overriding FileSystemConnector. Subclasses should rarely override this method, since the `UrlBinaryValue` will be applicable in most situations, but in this subclass is overriding using `FileUrlBinaryValue` to lazily compute a contentBased Hash when the key is a URI based Hash. Option contentBasedSha1=false should only be used in "write-once" directories as modifying the file will not change stored hash
      Overrides:
        `createBinaryValue` in class `FileSystemConnector`
      Parameters:
        `file` - the file for which the `BinaryValue` is to be created; never null
      Returns:
        the binary value; never null
      Throws:
        `IOException` - if there is an error creating the value

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.